import './index.less';
import { type PropType } from 'vue';
import { type RouteContextProps } from '../../RouteContext';
import type { CustomRender } from '../../typings';
export interface FooterToolbarProps {
    extra?: CustomRender | JSX.Element;
    renderContent?: (props: FooterToolbarProps & RouteContextProps & {
        leftWidth?: string;
    }, dom: CustomRender | JSX.Element) => CustomRender | JSX.Element;
    getContainer?: (triggerNode: HTMLElement) => HTMLElement | null;
    prefixCls?: string;
}
declare const FooterToolbar: import("vue").DefineComponent<{
    extra: {
        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
    };
    renderContent: {
        type: PropType<((props: FooterToolbarProps & RouteContextProps & {
            leftWidth?: string;
        }, dom: CustomRender | JSX.Element) => CustomRender | JSX.Element) | undefined>;
    };
    getContainer: {
        type: PropType<((triggerNode: HTMLElement) => HTMLElement | null) | undefined>;
    };
    prefixCls: {
        type: PropType<string>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    extra: {
        type: PropType<import("@ant-design-vue/pro-utils").VueNode>;
    };
    renderContent: {
        type: PropType<((props: FooterToolbarProps & RouteContextProps & {
            leftWidth?: string;
        }, dom: CustomRender | JSX.Element) => CustomRender | JSX.Element) | undefined>;
    };
    getContainer: {
        type: PropType<((triggerNode: HTMLElement) => HTMLElement | null) | undefined>;
    };
    prefixCls: {
        type: PropType<string>;
    };
}>>, {}>;
export default FooterToolbar;
