import type { VNodeChild, CSSProperties } from 'vue';
export declare type TabBarType = 'line' | 'card' | 'editable-card';
export declare type TabSize = 'default' | 'large' | 'small';
export declare type TabPosition = 'left' | 'right';
export declare type TabBarExtraPosition = TabPosition;
export declare type TabBarExtraMap = Partial<Record<TabBarExtraPosition, VNodeChild>>;
export declare type TabBarExtraContent = VNodeChild | TabBarExtraMap;
export interface TabsProps {
    prefixCls?: string;
    class?: string | string[];
    style?: CSSProperties;
    id?: string;
    activeKey?: string;
    hideAdd?: boolean;
    tabBarStyle?: CSSProperties;
    tabPosition?: TabPosition;
    type?: TabBarType;
    tabBarGutter?: number;
}
