import type { FunctionalComponent } from 'vue';
import 'ant-design-vue/es/drawer/style';
import SiderMenu, { siderMenuProps, defaultRenderLogoAndTitle, type SiderMenuProps, type PrivateSiderMenuProps } from './SiderMenu';
export { default as BaseMenu } from './BaseMenu';
export declare type SiderMenuWrapperProps = Partial<SiderMenuProps> & Partial<PrivateSiderMenuProps>;
declare const SiderMenuWrapper: FunctionalComponent<SiderMenuWrapperProps>;
export { SiderMenu, siderMenuProps, defaultRenderLogoAndTitle, };
export default SiderMenuWrapper;
