import './index.less';
import { type PropType } from 'vue';
import type { WithFalse, CustomRender } from '../../typings';
export declare type Links = WithFalse<{
    key?: string;
    title: CustomRender;
    href: string;
    blankTarget?: boolean;
}[]>;
export interface GlobalFooterProps {
    links?: Links;
    copyright?: CustomRender;
    prefixCls?: string;
}
declare const _default: import("vue").DefineComponent<{
    links: {
        type: PropType<Links>;
        required: true;
    };
    copyright: {
        type: PropType<WithFalse<import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    prefixCls: {
        type: StringConstructor;
        default: string;
    };
}, (() => JSX.Element) | null, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    links: {
        type: PropType<Links>;
        required: true;
    };
    copyright: {
        type: PropType<WithFalse<import("@ant-design-vue/pro-utils").VueNode>>;
        default: () => undefined;
    };
    prefixCls: {
        type: StringConstructor;
        default: string;
    };
}>>, {
    prefixCls: string;
    copyright: import("@ant-design-vue/pro-utils").VueNode;
}>;
export default _default;
